GET /v1/software/_search

zbmath.org:zbmath-links-api

Summary: search software meta data by zbMATH style user query
Operation ID: get_software_by_syntax_string_v1_software__search_get
Auth: unknown
Description

# Description The syntax search allows for free logical combinations of all available search fields. While similar to the structured search, this endpoint offers much more flexibility at the cost of obscure search parameters. # Examples - **sw:Sage***: Search for a specific <strong>s</strong>oft<strong>w</strong>are package containing the sequence <em>Sage</em>. - **ab:geometry & ut:ORMS**: Search for software packages with the word <em>geometry</em> in the description(<strong>ab</strong>), and which have the keyword(<strong>ut</strong>) <em>ORMS</em> (Oberwolfach Registry of Mathematical Software).The operator <strong>&</strong> is the default and may be omitted. - **cc:13 | 14**: Search for software packages which are cited (<strong>cc</strong>) by articles belonging to the <strong><u>c</u>lassification <u>c</u>ode</strong> sections <em>13</em> and <em>14</em>. - **GAP au:Eick**: Search for <em>GAP</em> in the <strong>any</strong> index (which also includes dependencies) and by software <strong><u>au</u>thor</strong> containing the sequence <em>Eick</em>. - **pl:Java & ab:R**: Search for software package in the <strong><u>p</u>rogramming <u>l</u>anguage</strong> Java whose description text(<strong>ab</strong>) contains <em>R</em> # Search fields - **any**: Includes ab, au, sw, ut - **ab**: Text from the description - **ut**: Keywords - **cc**: Main fields of the software (given by first two MSC digits) - **pl**: Programming language the software is written in - **au**: Name(s) of the author(s) - **sw**: Software name - **si**: swMATH software ID # Operators - **a & b**: Logical and (default) - **a | b**: Logical or - **!ab**: Logical not - **abc***: Right wildcard - **ab c**: Phrase - **(ab c)**: Term grouping

Parameters (3)

page (integer, query, optional, default: 0)
results_per_page (integer, query, optional, default: 100)
search_string (string, query, required)

No probe data for this endpoint yet.